### GET /user/login Log into the system. ```markdown ## GET /user/login Log into the system. ### Parameters - **username** (string, query, optional): The user name for login - **password** (string, query, optional): The password for login in clear text ### Responses #### 200 - successful operation #### 400 - Invalid username/password supplied #### default - Unexpected error ### Example Usage ```bash curl -X GET "/api/v3/user/login?username=example&password=example" ``` ``` -------------------------------- ### GET /user/{username} Get user detail based on username. ```markdown ## GET /user/{username} Get user detail based on username. ### Parameters - **username** (string, path, required): The name that needs to be fetched. Use user1 for testing ### Responses #### 200 - successful operation - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) #### 400 - Invalid username supplied #### 404 - User not found #### default - Unexpected error ### Example Usage ```bash curl -X GET "/api/v3/user/{username}" ``` ``` -------------------------------- ### GET /store/inventory Returns a map of status codes to quantities. ```markdown ## GET /store/inventory Returns a map of status codes to quantities. ### Responses #### 200 - successful operation #### default - Unexpected error ### Example Usage ```bash curl -X GET "/api/v3/store/inventory" ``` ``` -------------------------------- ### GET /pet/{petId} Returns a single pet. ```markdown ## GET /pet/{petId} Returns a single pet. ### Parameters - **petId** (integer (int64), path, required): ID of pet to return ### Responses #### 200 - successful operation - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store #### 400 - Invalid ID supplied #### 404 - Pet not found #### default - Unexpected error ### Example Usage ```bash curl -X GET "/api/v3/pet/{petId}" ``` ``` -------------------------------- ### GET /user/logout Log user out of the system. ```markdown ## GET /user/logout Log user out of the system. ### Responses #### 200 - successful operation #### default - Unexpected error ### Example Usage ```bash curl -X GET "/api/v3/user/logout" ``` ``` -------------------------------- ### GET /pet/findByStatus Multiple status values can be provided with comma separated strings. ```markdown ## GET /pet/findByStatus Multiple status values can be provided with comma separated strings. ### Parameters - **status** (string (available|pending|sold), query, required): Status values that need to be considered for filter ### Responses #### 200 - successful operation - Array of object - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store #### 400 - Invalid status value #### default - Unexpected error ### Example Usage ```bash curl -X GET "/api/v3/pet/findByStatus?status=available" ``` ``` -------------------------------- ### GET /pet/findByTags Multiple tags can be provided with comma separated strings. Use tag1, tag2, tag3 for testing. ```markdown ## GET /pet/findByTags Multiple tags can be provided with comma separated strings. Use tag1, tag2, tag3 for testing. ### Parameters - **tags** (array, query, required): Tags to filter by ### Responses #### 200 - successful operation - Array of object - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store #### 400 - Invalid tag value #### default - Unexpected error ### Example Usage ```bash curl -X GET "/api/v3/pet/findByTags?tags=item1,item2" ``` ``` -------------------------------- ### GET /store/order/{orderId} For valid response try integer IDs with value <= 5 or > 10. Other values will generate exceptions. ```markdown ## GET /store/order/{orderId} For valid response try integer IDs with value <= 5 or > 10. Other values will generate exceptions. ### Parameters - **orderId** (integer (int64), path, required): ID of order that needs to be fetched ### Responses #### 200 - successful operation - **id** (integer (int64)) (example: 10) - **petId** (integer (int64)) (example: 198772) - **quantity** (integer (int32)) (example: 7) - **shipDate** (string) - **status** (string (placed|approved|delivered)): Order Status (example: "approved") - **complete** (boolean) #### 400 - Invalid ID supplied #### 404 - Order not found #### default - Unexpected error ### Example Usage ```bash curl -X GET "/api/v3/store/order/{orderId}" ``` ``` -------------------------------- ### API Overview: Swagger Petstore - OpenAPI 3.0 This is a sample Pet Store Server based on the OpenAPI 3.0 specification. You can find out more about Swagger at [https://swagger.io](https://swagger.io). In the third iteration of the pet store, we've switched to the design first approach! You can now help us improve the API whether it's by making changes to the definition itself or to the code. That way, with time, we can improve the API in general, and expose some of the new features in OAS3. Some useful links: - [The Pet Store repository](https://github.com/swagger-api/swagger-petstore) - [The source API definition for the Pet Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml) ```yaml # Swagger Petstore - OpenAPI 3.0 # Version: 1.0.27 This is a sample Pet Store Server based on the OpenAPI 3.0 specification. You can find out more about Swagger at [https://swagger.io](https://swagger.io). In the third iteration of the pet store, we've switched to the design first approach! You can now help us improve the API whether it's by making changes to the definition itself or to the code. That way, with time, we can improve the API in general, and expose some of the new features in OAS3. Some useful links: - [The Pet Store repository](https://github.com/swagger-api/swagger-petstore) - [The source API definition for the Pet Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml) # Base URL: /api/v3 ``` -------------------------------- ### POST /pet Add a new pet to the store. ```markdown ## POST /pet Add a new pet to the store. ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store **Content-Type:** application/xml - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store **Content-Type:** application/x-www-form-urlencoded - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store ### Responses #### 200 - Successful operation - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store #### 400 - Invalid input #### 422 - Validation exception #### default - Unexpected error ### Example Usage ```bash curl -X POST "/api/v3/pet" \ -H "Content-Type: application/json" \ -d '{ "id": 10, "name": "doggie", "category": "value", "photoUrls": [ "example" ], "tags": [ "value" ], "status": "available" }' ``` ``` -------------------------------- ### POST /store/order Place a new order in the store. ```markdown ## POST /store/order Place a new order in the store. ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (example: 10) - **petId** (integer (int64)) (example: 198772) - **quantity** (integer (int32)) (example: 7) - **shipDate** (string) - **status** (string (placed|approved|delivered)): Order Status (example: "approved") - **complete** (boolean) **Content-Type:** application/xml - **id** (integer (int64)) (example: 10) - **petId** (integer (int64)) (example: 198772) - **quantity** (integer (int32)) (example: 7) - **shipDate** (string) - **status** (string (placed|approved|delivered)): Order Status (example: "approved") - **complete** (boolean) **Content-Type:** application/x-www-form-urlencoded - **id** (integer (int64)) (example: 10) - **petId** (integer (int64)) (example: 198772) - **quantity** (integer (int32)) (example: 7) - **shipDate** (string) - **status** (string (placed|approved|delivered)): Order Status (example: "approved") - **complete** (boolean) ### Responses #### 200 - successful operation - **id** (integer (int64)) (example: 10) - **petId** (integer (int64)) (example: 198772) - **quantity** (integer (int32)) (example: 7) - **shipDate** (string) - **status** (string (placed|approved|delivered)): Order Status (example: "approved") - **complete** (boolean) #### 400 - Invalid input #### 422 - Validation exception #### default - Unexpected error ### Example Usage ```bash curl -X POST "/api/v3/store/order" \ -H "Content-Type: application/json" \ -d '{ "id": 10, "petId": 198772, "quantity": 7, "shipDate": "2023-01-01T00:00:00Z", "status": "approved", "complete": "true" }' ``` ``` -------------------------------- ### Security: petstore_auth Security scheme: petstore_auth ```markdown ## Security: petstore_auth **Description:** Security scheme: petstore_auth **Type:** oauth2 **OAuth Flows:** ```json { "implicit": { "authorizationUrl": "https://petstore3.swagger.io/oauth/authorize", "scopes": { "write:pets": "modify pets in your account", "read:pets": "read your pets" } } } ``` ``` -------------------------------- ### Security: api_key Security scheme: api_key ```markdown ## Security: api_key **Description:** Security scheme: api_key **Type:** apiKey ``` -------------------------------- ### POST /user/createWithList Creates list of users with given input array. ```markdown ## POST /user/createWithList Creates list of users with given input array. ### Request Body **Content-Type:** application/json - Array of object - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) ### Responses #### 200 - Successful operation - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) #### default - Unexpected error ### Example Usage ```bash curl -X POST "/api/v3/user/createWithList" \ -H "Content-Type: application/json" \ -d '[ { "id": 10, "username": "theUser", "firstName": "John", "lastName": "James", "email": "john@email.com", "password": "12345", "phone": "12345", "userStatus": 1 } ]' ``` ``` -------------------------------- ### Schema: Pet Schema definition for Pet ```markdown ## Schema: Pet Schema definition for Pet **Type:** object - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (object) - **id** (integer (int64)) (example: 1) - **name** (string) (example: "Dogs") - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store ``` -------------------------------- ### Schema: User Schema definition for User ```markdown ## Schema: User Schema definition for User **Type:** object - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) ``` -------------------------------- ### POST /user This can only be done by the logged in user. ```markdown ## POST /user This can only be done by the logged in user. ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) **Content-Type:** application/xml - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) **Content-Type:** application/x-www-form-urlencoded - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) ### Responses #### 200 - successful operation - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) #### default - Unexpected error ### Example Usage ```bash curl -X POST "/api/v3/user" \ -H "Content-Type: application/json" \ -d '{ "id": 10, "username": "theUser", "firstName": "John", "lastName": "James", "email": "john@email.com", "password": "12345", "phone": "12345", "userStatus": 1 }' ``` ``` -------------------------------- ### Schema: ApiResponse Schema definition for ApiResponse ```markdown ## Schema: ApiResponse Schema definition for ApiResponse **Type:** object - **code** (integer (int32)) - **type** (string) - **message** (string) ``` -------------------------------- ### POST /pet/{petId}/uploadImage Upload image of the pet. ```markdown ## POST /pet/{petId}/uploadImage Upload image of the pet. ### Parameters - **petId** (integer (int64), path, required): ID of pet to update - **additionalMetadata** (string, query, optional): Additional Metadata ### Request Body **Content-Type:** application/octet-stream ### Responses #### 200 - successful operation - **code** (integer (int32)) - **type** (string) - **message** (string) #### 400 - No file uploaded #### 404 - Pet not found #### default - Unexpected error ### Example Usage ```bash curl -X POST "/api/v3/pet/{petId}/uploadImage?additionalMetadata=example" \ -H "Content-Type: application/json" \ -d '"example"' ``` ``` -------------------------------- ### Schema: Order Schema definition for Order ```markdown ## Schema: Order Schema definition for Order **Type:** object - **id** (integer (int64)) (example: 10) - **petId** (integer (int64)) (example: 198772) - **quantity** (integer (int32)) (example: 7) - **shipDate** (string) - **status** (string (placed|approved|delivered)): Order Status (example: "approved") - **complete** (boolean) ``` -------------------------------- ### POST /pet/{petId} Updates a pet resource based on the form data. ```markdown ## POST /pet/{petId} Updates a pet resource based on the form data. ### Parameters - **petId** (integer (int64), path, required): ID of pet that needs to be updated - **name** (string, query, optional): Name of pet that needs to be updated - **status** (string, query, optional): Status of pet that needs to be updated ### Responses #### 200 - successful operation - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store #### 400 - Invalid input #### default - Unexpected error ### Example Usage ```bash curl -X POST "/api/v3/pet/{petId}?name=example&status=example" ``` ``` -------------------------------- ### DELETE /pet/{petId} Delete a pet. ```markdown ## DELETE /pet/{petId} Delete a pet. ### Parameters - **api_key** (string, header, optional) - **petId** (integer (int64), path, required): Pet id to delete ### Responses #### 200 - Pet deleted #### 400 - Invalid pet value #### default - Unexpected error ### Example Usage ```bash curl -X DELETE "/api/v3/pet/{petId}" ``` ``` -------------------------------- ### Schema: Category Schema definition for Category ```markdown ## Schema: Category Schema definition for Category **Type:** object - **id** (integer (int64)) (example: 1) - **name** (string) (example: "Dogs") ``` -------------------------------- ### PUT /user/{username} This can only be done by the logged in user. ```markdown ## PUT /user/{username} This can only be done by the logged in user. ### Parameters - **username** (string, path, required): name that need to be deleted ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) **Content-Type:** application/xml - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) **Content-Type:** application/x-www-form-urlencoded - **id** (integer (int64)) (example: 10) - **username** (string) (example: "theUser") - **firstName** (string) (example: "John") - **lastName** (string) (example: "James") - **email** (string) (example: "john@email.com") - **password** (string) (example: "12345") - **phone** (string) (example: "12345") - **userStatus** (integer (int32)): User Status (example: 1) ### Responses #### 200 - successful operation #### 400 - bad request #### 404 - user not found #### default - Unexpected error ### Example Usage ```bash curl -X PUT "/api/v3/user/{username}" \ -H "Content-Type: application/json" \ -d '{ "id": 10, "username": "theUser", "firstName": "John", "lastName": "James", "email": "john@email.com", "password": "12345", "phone": "12345", "userStatus": 1 }' ``` ``` -------------------------------- ### Schema: Tag Schema definition for Tag ```markdown ## Schema: Tag Schema definition for Tag **Type:** object - **id** (integer (int64)) - **name** (string) ``` -------------------------------- ### PUT /pet Update an existing pet by Id. ```markdown ## PUT /pet Update an existing pet by Id. ### Request Body **Content-Type:** application/json - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store **Content-Type:** application/xml - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store **Content-Type:** application/x-www-form-urlencoded - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store ### Responses #### 200 - Successful operation - **id** (integer (int64)) (example: 10) - **name** (string) (required) (example: "doggie") - **category** (unknown) - **photoUrls** (array) (required) - **tags** (array) - **status** (string (available|pending|sold)): pet status in the store #### 400 - Invalid ID supplied #### 404 - Pet not found #### 422 - Validation exception #### default - Unexpected error ### Example Usage ```bash curl -X PUT "/api/v3/pet" \ -H "Content-Type: application/json" \ -d '{ "id": 10, "name": "doggie", "category": "value", "photoUrls": [ "example" ], "tags": [ "value" ], "status": "available" }' ``` ``` -------------------------------- ### DELETE /user/{username} This can only be done by the logged in user. ```markdown ## DELETE /user/{username} This can only be done by the logged in user. ### Parameters - **username** (string, path, required): The name that needs to be deleted ### Responses #### 200 - User deleted #### 400 - Invalid username supplied #### 404 - User not found #### default - Unexpected error ### Example Usage ```bash curl -X DELETE "/api/v3/user/{username}" ``` ``` -------------------------------- ### DELETE /store/order/{orderId} For valid response try integer IDs with value < 1000. Anything above 1000 or non-integers will generate API errors. ```markdown ## DELETE /store/order/{orderId} For valid response try integer IDs with value < 1000. Anything above 1000 or non-integers will generate API errors. ### Parameters - **orderId** (integer (int64), path, required): ID of the order that needs to be deleted ### Responses #### 200 - order deleted #### 400 - Invalid ID supplied #### 404 - Order not found #### default - Unexpected error ### Example Usage ```bash curl -X DELETE "/api/v3/store/order/{orderId}" ``` ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.